HanMacWrdJGraphInternal::TextboxFrame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::TextboxFrame Struct Reference

Internal: the textbox frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::TextboxFrame:

## Public Member Functions
| TextboxFrame (Frame const &orig)
| constructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
bool | isLinked () const
| returns true if the box is linked to other textbox More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
Box2f | getBdBox () const
| return the frame bdbox More...
virtual | ~Frame ()
| destructor More...

## Public Attributes
long | m_zId
| the text id More...
double | m_width
| the zone width More...
long | m_cPos
| the first char pos More...
long | m_linkToFId
| the next link zone More...
bool | m_isLinked
| true if this zone is linked More...
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: the textbox frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

HanMacWrdJGraphInternal::TextboxFrame::TextboxFrame | ( | Frame const & | orig | ) |
| inline

constructor

## Member Function Documentation

bool HanMacWrdJGraphInternal::TextboxFrame::isLinked | ( |  | ) | const
| inline

returns true if the box is linked to other textbox

Referenced by HanMacWrdJGraph::canCreateGraphic(), HanMacWrdJGraph::sendFrame(), and HanMacWrdJGraph::sendGroupChild().

std::string HanMacWrdJGraphInternal::TextboxFrame::print | ( |  | ) | const
| inline

print local data

virtual bool HanMacWrdJGraphInternal::TextboxFrame::valid | ( |  | ) | const
| inlinevirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

## Member Data Documentation

long HanMacWrdJGraphInternal::TextboxFrame::m_cPos

the first char pos

Referenced by HanMacWrdJGraph::prepareStructures(), and print().

bool HanMacWrdJGraphInternal::TextboxFrame::m_isLinked

true if this zone is linked

Referenced by isLinked(), HanMacWrdJGraph::prepareStructures(), and HanMacWrdJGraph::sendTextbox().

long HanMacWrdJGraphInternal::TextboxFrame::m_linkToFId

the next link zone

Referenced by isLinked(), HanMacWrdJGraph::prepareStructures(), and HanMacWrdJGraph::sendTextbox().

double HanMacWrdJGraphInternal::TextboxFrame::m_width

the zone width

Referenced by print().

long HanMacWrdJGraphInternal::TextboxFrame::m_zId

the text id

Referenced by HanMacWrdJGraph::canCreateGraphic(), HanMacWrdJGraph::prepareStructures(), print(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), and HanMacWrdJGraph::sendTextbox().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx